#
# spec file for package firetools
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           firetools
Version:        0.9.72
Release:        1.9
Summary:        GUI for Firajail security sandbox
License:        GPL-2.0-only
Group:          Productivity/Security
URL:            https://firejailtools.wordpress.com
Source0:        https://downloads.sourceforge.net/project/firejail/firetools/firetools-%{version}.tar.xz
Source1:        https://downloads.sourceforge.net/project/firejail/firetools/firetools-%{version}.tar.xz.asc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libqt5-qtbase-devel
Requires:       firejail >= 0.9.64

%description
Firetools is the graphical user interface of Firejail security sandbox.

%prep
%autosetup -p1

%build
%configure --docdir=%{_docdir}/%{name} --with-qmake=`which qmake-qt5`
%make_build VERBOSE=1

%install
%make_install
rm %{buildroot}%{_docdir}/%{name}/COPYING

%files
%doc README RELNOTES
%license COPYING
%{_bindir}/*
%{_prefix}/lib/firetools
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_mandir}/man1/*

%changelog
* Fri Mar 17 2023 Dirk Müller <dmueller@suse.com>
- update to 0.9.72:
  * modif: move hardcoded apps recognized by default in uiapps file
  * modif: remove sandbox edit dialog and replace it with uiapps
    file
  * feature: added uiapps file for default and user apps
    configuration
  * feature: added a system network monitor in sandbox stats
  * feature: added apparmor support in firejail-ui
  * feature: added bluetooth support in firejail-ui
  * feature: print final sandbox configuration in firejail-ui
  * bugfixes
* Wed May 12 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 0.9.64
  * more fdns support
  * support for firejail version 0.9.64
  * bugfixes
- Drop fixed firetools-0.9.62-fail_linking.patch
* Wed Feb 10 2021 Jan Engelhardt <jengelh@inai.de>
- Use a few more contemporary macros.
* Tue Feb  9 2021 Sebastian Wagner <sebix+novell.com@sebix.at>
- Update source file URLs, changed upstream at sourceforge.
* Sat Aug 29 2020 Sebastian Wagner <sebix+novell.com@sebix.at>
- adapt to libexec directory change
* Tue Feb 11 2020 Marcus Rueckert <mrueckert@suse.de>
- added firetools-0.9.62-fail_linking.patch:
  properly link librt/libc for shm_open
* Tue Feb 11 2020 Marcus Rueckert <mrueckert@suse.de>
- update to version 0.9.62:
  * added fdns support
  * added stats system tray icon
  * split network interface stats in a separate window
  * detect --net=none in network interface stats
  * support for Firejail LTS versions
  * bugfixes
* Sun Jun  2 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 0.9.58:
  * split network interface stats in a separate window
  * detect --net=none in network interface stats
  * support for Firejail LTS versions
  * bugfixes
* Mon Mar  5 2018 sebix+novell.com@sebix.at
- update to version 0.9.52:
  * modif: moving to a grayscale color scheme
  * feature: firewall support in stats window
  * feature: AppArmor support in stats window
  * feature: adding Signal to the default list of applications
  * bugfixes and various user interface improvements
* Sat Mar  3 2018 sebix+novell.com@sebix.at
- update to version 0.9.50:
  * modif: removed the periodic window update for seccomp, caps,
    and dns
  * feature: memory deny exec stats support
  * feature: print security profile name in stats window
  * feature: protocol support in firejail-ui
  * feature: nodvd support in firejail-ui
  * feature: novideo support in firejail-ui
  * feature: notv support in firejail-ui
  * enhancement: save window size for fmgr and fstats upon exit
    and restore it next time the program is started
  * enhancement: updated default application list
  * enhancement: rework icon search for firetools launcher
  * enhancement: --enable-fatal-warnings compile configuration
  * bugfixes
* Tue Aug 15 2017 tiwai@suse.de
- Update to version 0.9.46:
  This release brings in a number of bugfixes and general
  enhancements, and a simple configuration wizard for Firejail
  sandbox – firejail-ui
* Fri Aug  5 2016 tiwai@suse.de
- Updated to version 0.9.40:
  * including Grsecurity support, protocols, cup cores, sandbox
    name and X11 sandboxing support in the stats section, and a
    number of updates and bug fixes
  * A file manager that allows the user to browse the filesystem
    inside the sandbox is also included
- Update to version 0.9.40.1:
  * Minor bugfix release
- Dropped the obsoleted patch:
  firetools-qt-path-fix.diff
* Tue May 17 2016 tiwai@suse.de
- Initial package: 0.9.30
- Fix the hackish configure.ac to build properly:
  firetools-qt-path-fix.diff
